set O=sg_ini
set P=ip
if exist tags del tags
set S=systemid
set D=systemid.obj
if not exist %S%.src goto err
if exist %D% del %D%
%SHC_BIN%\asmsh %S% -CPU=SH4 -ENDIAN=LITTLE -SJIS -OUTCODE=SJIS -CO=120 >>tags
if not exist %D% goto err
if not exist %P%.sub goto err
%SHC_BIN%\lnk -o=%P%.abs -sub=%P%.sub >>tags
%KATANA_SDK_DIR%\bin\rof2bin -v=00 -d %P%.abs >>tags
if ERRORLEVEL 1 goto err
if not exist %D% goto err
binadj -0100 %P%.bin $ip.$$$
binadj -0800 $ip.$$$ $ip8.$$$
copy /b $ip8.$$$+$ip8.$$$+$ip8.$$$+$ip8.$$$+$ip8.$$$+$ip8.$$$+$ip8.$$$+$ip8.$$$ %P%00.bin
copy /b %P%00.bin+$ip8.$$$+$ip8.$$$+$ip8.$$$+$ip8.$$$+$ip8.$$$+$ip8.$$$+$ip8.$$$+$ip8.$$$
del $ip*.$$$
copy %P%.bin ip.bin
copy %P%00.bin ip0000.bin
if exist tags type tags
goto quit
:err
echo error!
:quit